<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtglobalshortcut.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qxtglobalshortcut.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qxtglobalshortcut_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a>&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">** Copyright (c) 2006 - 2011, the LibQxt project.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** See the Qxt AUTHORS file for a list of authors and copyright holders.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">** All rights reserved.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">** Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">** modification, are permitted provided that the following conditions are met:</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">**     * Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">**     * Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">**       documentation and/or other materials provided with the distribution.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">**     * Neither the name of the LibQxt project nor the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">**       names of its contributors may be used to endorse or promote products</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">**       derived from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">** DISCLAIMED. IN NO EVENT SHALL &lt;COPYRIGHT HOLDER&gt; BE LIABLE FOR ANY</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">** &lt;http://libqxt.org&gt;  &lt;foundation@libqxt.org&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*****************************************************************************/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobalshortcut__p_8h.html">qxtglobalshortcut_p.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;QAbstractEventDispatcher&gt;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;QtDebug&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifndef Q_OS_MAC</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keywordtype">int</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">QxtGlobalShortcutPrivate::ref</a> = 0;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#   if QT_VERSION &lt; QT_VERSION_CHECK(5,0,0)</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;QAbstractEventDispatcher::EventFilter QxtGlobalShortcutPrivate::prevEventFilter = 0;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#   endif</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif // Q_OS_MAC</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;QHash&lt;QPair&lt;quint32, quint32&gt;, <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>*&gt; <a class="code" href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">QxtGlobalShortcutPrivate::shortcuts</a>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#adf8ba3af124c946256b7677c47a8f139">   44</a></span>&#160;<a class="code" href="classQxtGlobalShortcutPrivate.html#adf8ba3af124c946256b7677c47a8f139">QxtGlobalShortcutPrivate::QxtGlobalShortcutPrivate</a>() : enabled(true), key(Qt::Key(0)), mods(Qt::NoModifier)</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;{</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#ifndef Q_OS_MAC</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a> == 0) {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#   if QT_VERSION &lt; QT_VERSION_CHECK(5,0,0)</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        prevEventFilter = QAbstractEventDispatcher::instance()-&gt;setEventFilter(eventFilter);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#   else</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        QAbstractEventDispatcher::instance()-&gt;installNativeEventFilter(<span class="keyword">this</span>);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    }</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    ++<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif // Q_OS_MAC</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;}</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a775a52ac5138216db832918f0f4c1751">   58</a></span>&#160;<a class="code" href="classQxtGlobalShortcutPrivate.html#a775a52ac5138216db832918f0f4c1751">QxtGlobalShortcutPrivate::~QxtGlobalShortcutPrivate</a>()</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;{</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#ifndef Q_OS_MAC</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    --<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">ref</a> == 0) {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        QAbstractEventDispatcher *ed = QAbstractEventDispatcher::instance();</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordflow">if</span> (ed != 0) {</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#   if QT_VERSION &lt; QT_VERSION_CHECK(5,0,0)</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            ed-&gt;setEventFilter(prevEventFilter);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#   else</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            ed-&gt;removeNativeEventFilter(<span class="keyword">this</span>);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#   endif</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif // Q_OS_MAC</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;}</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a896525de4bbde4deee06c0aeed201579">   75</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#a896525de4bbde4deee06c0aeed201579">QxtGlobalShortcutPrivate::setShortcut</a>(<span class="keyword">const</span> QKeySequence&amp; shortcut)</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;{</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    Qt::KeyboardModifiers allMods = Qt::ShiftModifier | Qt::ControlModifier | Qt::AltModifier | Qt::MetaModifier;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> = shortcut.isEmpty() ? Qt::Key(0) : Qt::Key((shortcut[0] ^ allMods) &amp; shortcut[0]);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a> = shortcut.isEmpty() ? Qt::KeyboardModifiers(0) : Qt::KeyboardModifiers(shortcut[0] &amp; allMods);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">const</span> quint32 nativeKey = <a class="code" href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">nativeKeycode</a>(<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a>);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keyword">const</span> quint32 nativeMods = <a class="code" href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">nativeModifiers</a>(<a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a>);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">bool</span> res = <a class="code" href="classQxtGlobalShortcutPrivate.html#a4e526d011d7d5a47c276baab2d49c7ea">registerShortcut</a>(nativeKey, nativeMods);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">if</span> (res)</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <a class="code" href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">shortcuts</a>.insert(qMakePair(nativeKey, nativeMods), &amp;<a class="code" href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">qxt_p</a>());</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        qWarning() &lt;&lt; <span class="stringliteral">&quot;QxtGlobalShortcut failed to register:&quot;</span> &lt;&lt; QKeySequence(<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> + <a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a>).toString();</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordflow">return</span> res;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#a0df0652403762e50f6c9a6d2fadf8c8e">   90</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#a0df0652403762e50f6c9a6d2fadf8c8e">QxtGlobalShortcutPrivate::unsetShortcut</a>()</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;{</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">bool</span> res = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">const</span> quint32 nativeKey = <a class="code" href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">nativeKeycode</a>(<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a>);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keyword">const</span> quint32 nativeMods = <a class="code" href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">nativeModifiers</a>(<a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a>);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">shortcuts</a>.value(qMakePair(nativeKey, nativeMods)) == &amp;<a class="code" href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">qxt_p</a>())</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        res = <a class="code" href="classQxtGlobalShortcutPrivate.html#a3e1a1cc674203a92d56965041d39c193">unregisterShortcut</a>(nativeKey, nativeMods);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">if</span> (res)</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <a class="code" href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">shortcuts</a>.remove(qMakePair(nativeKey, nativeMods));</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        qWarning() &lt;&lt; <span class="stringliteral">&quot;QxtGlobalShortcut failed to unregister:&quot;</span> &lt;&lt; QKeySequence(<a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> + <a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a>).toString();</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <a class="code" href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">key</a> = Qt::Key(0);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <a class="code" href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">mods</a> = Qt::KeyboardModifiers(0);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordflow">return</span> res;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;}</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">  106</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a>(quint32 nativeKey, quint32 nativeMods)</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;{</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>* shortcut = <a class="code" href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">shortcuts</a>.value(qMakePair(nativeKey, nativeMods));</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordflow">if</span> (shortcut &amp;&amp; shortcut-&gt;<a class="code" href="classQxtGlobalShortcut.html#a5d916d3021e07826b70dd65b189a9892">isEnabled</a>())</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        emit shortcut-&gt;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">activated</a>();</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a9793db6935da15ab730d4a03ebdc9a89">  144</a></span>&#160;<a class="code" href="classQxtGlobalShortcut.html#a9793db6935da15ab730d4a03ebdc9a89">QxtGlobalShortcut::QxtGlobalShortcut</a>(QObject* parent)</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        : QObject(parent)</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;{</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <a class="code" href="qxtglobal_8h.html#aafaaa31f6c623c1276ab7ce4f36b6b8a">QXT_INIT_PRIVATE</a>(<a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;}</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a0be5bb8f1a6cd98106aa1449bf8948d1">  153</a></span>&#160;<a class="code" href="classQxtGlobalShortcut.html#a9793db6935da15ab730d4a03ebdc9a89">QxtGlobalShortcut::QxtGlobalShortcut</a>(<span class="keyword">const</span> QKeySequence&amp; shortcut, QObject* parent)</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        : QObject(parent)</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;{</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="qxtglobal_8h.html#aafaaa31f6c623c1276ab7ce4f36b6b8a">QXT_INIT_PRIVATE</a>(<a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>);</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <a class="code" href="classQxtGlobalShortcut.html#aca42c3d5bc5a20cdca315cd398040cea">setShortcut</a>(<a class="code" href="classQxtGlobalShortcut.html#ae3df6adc3d232ae00291c4e4f577f3ae">shortcut</a>);</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160; </div>
<div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a8912da8209848b30a911302ddb133436">  163</a></span>&#160;<a class="code" href="classQxtGlobalShortcut.html#a8912da8209848b30a911302ddb133436">QxtGlobalShortcut::~QxtGlobalShortcut</a>()</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;{</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <span class="keywordflow">if</span> (qxt_d().key != 0)</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        qxt_d().unsetShortcut();</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;}</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;QKeySequence <a class="code" href="classQxtGlobalShortcut.html#ae3df6adc3d232ae00291c4e4f577f3ae">QxtGlobalShortcut::shortcut</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="keyword"></span>{</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keywordflow">return</span> QKeySequence(qxt_d().key | qxt_d().mods);</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;}</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#aca42c3d5bc5a20cdca315cd398040cea">  188</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcut.html#aca42c3d5bc5a20cdca315cd398040cea">QxtGlobalShortcut::setShortcut</a>(<span class="keyword">const</span> QKeySequence&amp; shortcut)</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;{</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordflow">if</span> (qxt_d().key != 0)</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        qxt_d().unsetShortcut();</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <span class="keywordflow">return</span> qxt_d().setShortcut(<a class="code" href="classQxtGlobalShortcut.html#ae3df6adc3d232ae00291c4e4f577f3ae">shortcut</a>);</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;}</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160; </div>
<div class="line"><a name="l00205"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a5d916d3021e07826b70dd65b189a9892">  205</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classQxtGlobalShortcut.html#a5d916d3021e07826b70dd65b189a9892">QxtGlobalShortcut::isEnabled</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="keyword"></span>{</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <span class="keywordflow">return</span> qxt_d().enabled;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;}</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160; </div>
<div class="line"><a name="l00210"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a470a6799146d1693a23140ca55edbea6">  210</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classQxtGlobalShortcut.html#a470a6799146d1693a23140ca55edbea6">QxtGlobalShortcut::setEnabled</a>(<span class="keywordtype">bool</span> enabled)</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;{</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    qxt_d().enabled = <a class="code" href="classQxtGlobalShortcut.html#a17f3d22d85b98f39e85f66183f8d918f">enabled</a>;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;}</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160; </div>
<div class="line"><a name="l00220"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#afd5563a5b2b9b63b18ed7e3e7b67e048">  220</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classQxtGlobalShortcut.html#afd5563a5b2b9b63b18ed7e3e7b67e048">QxtGlobalShortcut::setDisabled</a>(<span class="keywordtype">bool</span> disabled)</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;{</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    qxt_d().enabled = !disabled;</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_abe4d20108edca160ad37de258cc74ed5"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#abe4d20108edca160ad37de258cc74ed5">QxtGlobalShortcutPrivate::shortcuts</a></div><div class="ttdeci">static QHash&lt; QPair&lt; quint32, quint32 &gt;, QxtGlobalShortcut * &gt; shortcuts</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00080">qxtglobalshortcut_p.h:80</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html"><div class="ttname"><a href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a></div><div class="ttdoc">The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00038">qxtglobalshortcut.h:38</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a9793db6935da15ab730d4a03ebdc9a89"><div class="ttname"><a href="classQxtGlobalShortcut.html#a9793db6935da15ab730d4a03ebdc9a89">QxtGlobalShortcut::QxtGlobalShortcut</a></div><div class="ttdeci">QxtGlobalShortcut(QObject *parent=0)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00144">qxtglobalshortcut.cpp:144</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a2913f92970c0e0808d3c8089ac1d170f"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a2913f92970c0e0808d3c8089ac1d170f">QxtGlobalShortcutPrivate::mods</a></div><div class="ttdeci">Qt::KeyboardModifiers mods</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00055">qxtglobalshortcut_p.h:55</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a94cfab1e3a0d9aa84c5c13245612efa8"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a94cfab1e3a0d9aa84c5c13245612efa8">QxtGlobalShortcutPrivate::ref</a></div><div class="ttdeci">static int ref</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00062">qxtglobalshortcut_p.h:62</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a5d916d3021e07826b70dd65b189a9892"><div class="ttname"><a href="classQxtGlobalShortcut.html#a5d916d3021e07826b70dd65b189a9892">QxtGlobalShortcut::isEnabled</a></div><div class="ttdeci">bool isEnabled() const</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00205">qxtglobalshortcut.cpp:205</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_adf8ba3af124c946256b7677c47a8f139"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#adf8ba3af124c946256b7677c47a8f139">QxtGlobalShortcutPrivate::QxtGlobalShortcutPrivate</a></div><div class="ttdeci">QxtGlobalShortcutPrivate()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00044">qxtglobalshortcut.cpp:44</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_aca42c3d5bc5a20cdca315cd398040cea"><div class="ttname"><a href="classQxtGlobalShortcut.html#aca42c3d5bc5a20cdca315cd398040cea">QxtGlobalShortcut::setShortcut</a></div><div class="ttdeci">bool setShortcut(const QKeySequence &amp;shortcut)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00188">qxtglobalshortcut.cpp:188</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html_a8a154f41226663dc0e9ddf1692f71be0"><div class="ttname"><a href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">QxtPrivate&lt; QxtGlobalShortcut &gt;::qxt_p</a></div><div class="ttdeci">QxtGlobalShortcut &amp; qxt_p()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00166">qxtglobal.h:166</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a8912da8209848b30a911302ddb133436"><div class="ttname"><a href="classQxtGlobalShortcut.html#a8912da8209848b30a911302ddb133436">QxtGlobalShortcut::~QxtGlobalShortcut</a></div><div class="ttdeci">virtual ~QxtGlobalShortcut()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00163">qxtglobalshortcut.cpp:163</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a3e1a1cc674203a92d56965041d39c193"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a3e1a1cc674203a92d56965041d39c193">QxtGlobalShortcutPrivate::unregisterShortcut</a></div><div class="ttdeci">static bool unregisterShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00249">qxtglobalshortcut_mac.cpp:249</a></div></div>
<div class="ttc" id="aqxtglobalshortcut__p_8h_html"><div class="ttname"><a href="qxtglobalshortcut__p_8h.html">qxtglobalshortcut_p.h</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_acc38b238906f0158ebab1dd87791460e"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#acc38b238906f0158ebab1dd87791460e">QxtGlobalShortcutPrivate::nativeKeycode</a></div><div class="ttdeci">static quint32 nativeKeycode(Qt::Key keycode)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00073">qxtglobalshortcut_mac.cpp:73</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_ae5048554f63055a79bc708e231cb8818"><div class="ttname"><a href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a></div><div class="ttdeci">void activated()</div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a775a52ac5138216db832918f0f4c1751"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a775a52ac5138216db832918f0f4c1751">QxtGlobalShortcutPrivate::~QxtGlobalShortcutPrivate</a></div><div class="ttdeci">~QxtGlobalShortcutPrivate()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00058">qxtglobalshortcut.cpp:58</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a9863b3f94a64fcb13bbdcf2853cd1bcd"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a9863b3f94a64fcb13bbdcf2853cd1bcd">QxtGlobalShortcutPrivate::nativeModifiers</a></div><div class="ttdeci">static quint32 nativeModifiers(Qt::KeyboardModifiers modifiers)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00057">qxtglobalshortcut_mac.cpp:57</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_afd5563a5b2b9b63b18ed7e3e7b67e048"><div class="ttname"><a href="classQxtGlobalShortcut.html#afd5563a5b2b9b63b18ed7e3e7b67e048">QxtGlobalShortcut::setDisabled</a></div><div class="ttdeci">void setDisabled(bool disabled=true)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00220">qxtglobalshortcut.cpp:220</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a4e526d011d7d5a47c276baab2d49c7ea"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a4e526d011d7d5a47c276baab2d49c7ea">QxtGlobalShortcutPrivate::registerShortcut</a></div><div class="ttdeci">static bool registerShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00225">qxtglobalshortcut_mac.cpp:225</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_ab33624dd2ebefa854906fa3ab7298d99"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#ab33624dd2ebefa854906fa3ab7298d99">QxtGlobalShortcutPrivate::key</a></div><div class="ttdeci">Qt::Key key</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00054">qxtglobalshortcut_p.h:54</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a0df0652403762e50f6c9a6d2fadf8c8e"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a0df0652403762e50f6c9a6d2fadf8c8e">QxtGlobalShortcutPrivate::unsetShortcut</a></div><div class="ttdeci">bool unsetShortcut()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00090">qxtglobalshortcut.cpp:90</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_ae3df6adc3d232ae00291c4e4f577f3ae"><div class="ttname"><a href="classQxtGlobalShortcut.html#ae3df6adc3d232ae00291c4e4f577f3ae">QxtGlobalShortcut::shortcut</a></div><div class="ttdeci">QKeySequence shortcut() const</div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a470a6799146d1693a23140ca55edbea6"><div class="ttname"><a href="classQxtGlobalShortcut.html#a470a6799146d1693a23140ca55edbea6">QxtGlobalShortcut::setEnabled</a></div><div class="ttdeci">void setEnabled(bool enabled=true)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00210">qxtglobalshortcut.cpp:210</a></div></div>
<div class="ttc" id="aqxtglobalshortcut_8h_html"><div class="ttname"><a href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a17f3d22d85b98f39e85f66183f8d918f"><div class="ttname"><a href="classQxtGlobalShortcut.html#a17f3d22d85b98f39e85f66183f8d918f">QxtGlobalShortcut::enabled</a></div><div class="ttdeci">bool enabled</div><div class="ttdoc">whether the shortcut is enabled</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00042">qxtglobalshortcut.h:42</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html_aafaaa31f6c623c1276ab7ce4f36b6b8a"><div class="ttname"><a href="qxtglobal_8h.html#aafaaa31f6c623c1276ab7ce4f36b6b8a">QXT_INIT_PRIVATE</a></div><div class="ttdeci">#define QXT_INIT_PRIVATE(PUB)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00150">qxtglobal.h:150</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_a896525de4bbde4deee06c0aeed201579"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#a896525de4bbde4deee06c0aeed201579">QxtGlobalShortcutPrivate::setShortcut</a></div><div class="ttdeci">bool setShortcut(const QKeySequence &amp;shortcut)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00075">qxtglobalshortcut.cpp:75</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_aa9322fac1f86bbbb0ba82a1a150bc0a0"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a></div><div class="ttdeci">static void activateShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00106">qxtglobalshortcut.cpp:106</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
